package com.supServer.project.entity;

import java.util.Date;

/**
 * @description：
 * @Author:
 * @Date:
 */
public class SmsCode {

    private Long id;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 验证码
     */
    private String smsCode;

    /**
     * 验证码类型（1.注册  ）
     */
    private String codeType;

    /**
     * 状态(0-成功，1-失败)
     */
    private String status;

    /**
     * 创建时间
     */
    private Date createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSmsCode() {
        return smsCode;
    }

    public void setSmsCode(String smsCode) {
        this.smsCode = smsCode;
    }

    public String getCodeType() {
        return codeType;
    }

    public void setCodeType(String codeType) {
        this.codeType = codeType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "SmsCode{" +
                "id=" + id +
                ", phone='" + phone + '\'' +
                ", smsCode='" + smsCode + '\'' +
                ", codeType='" + codeType + '\'' +
                ", status='" + status + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
